Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036870
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2017-09-15 13:302017-09-21 16:50
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision56870c4b2bd0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036870: 'Customer Schedule After Delivery' invoice terms excludes services while 'After delivery' doesn't.

Description'Customer Schedule After Delivery' invoice terms excludes services while 'After delivery' doesn't.
Regarding this matter, "After Order Delivered" invoice terms behavior should be reviewed.
Steps To Reproduce- First, you need to be sure that there are products and services available
0.1) Open 'Goods Movements' window and create a new record and then create a new line for 'Cerveza Ale 0,5L' to New Storage Bin 'RN 2-0-0'
0.2) Open 'Product' window and select 'Electricidad', switch to [Price] tab and add 'Tarifa de ventas' price list to that service.

CASE 1 (EXCLUDING SERVICE FROM GOODS SHIPMENT)
1.1) Create a new 'Sales Order' for 'Alimentos y Supermercados' business partner and set invoice terms as 'Customer Schedule After Delivery'
1.2) Then, create both lines for 'Cerveza Ale 0,5L' and 'Electricidad', also delete the discount in [Basic Discounts] tab. Book the Sales Order.
1.3) Open 'Goods Shipment' window and create a new record for 'Alimentos y Supermercados' business partner, open 'Create Lines From' process and select the previous order and some warehouse position. Select only the 'Cerveza Ale 0,5L'. Complete the shipment.
1.4) Open 'Sales Invoice' window and create a new record for 'Alimentos y Supermercados' business partner. Open 'Create Lines From' process and select the order. Only 'Cerveza Ale 0,5L' product is avaliable.
1.5) Reopen the previosuly created Sales Order, and set invoice terms as 'After Delivery'
1.6) Now, in 'Create Lines From' process from 'Sales Invoice' window, you can select both 'Cerveza Ale 0,5L' and 'Electricidad' products.


CASE 2 (INCLUDING SERVICE FROM GOODS SHIPMENT)
2.1) Create a new 'Sales Order' for 'Alimentos y Supermercados' business partner and set invoice terms as 'Customer Schedule After Delivery'
2.2) Then, create both lines for 'Cerveza Ale 0,5L' and 'Electricidad', also delete the discount in [Basic Discounts] tab. Book the Sales Order.
2.3) Open 'Goods Shipment' window and create a new record for 'Alimentos y Supermercados' business partner, open 'Create Lines From' process and select the previous order and some warehouse position. Select only the 'Cerveza Ale 0,5L' and 'Electricidad'. Complete the shipment.
2.4) Open 'Sales Invoice' window and create a new record for 'Alimentos y Supermercados' business partner. Open 'Create Lines From' process and select the order. Both products are avaliable.
2.5) Reopen the previosuly created Sales Order, and set invoice terms as 'After Delivery'
2.6) Now, reopen 'Create Lines From' process from 'Sales Invoice' window, and you can notice that also both products are available.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0011383 scheduledluisrs8608 Sales order - Invoice Terms "After Delivery" - Able to create invoice for goods not shipped 

-  Notes
(0099151)
AtulOpenbravo (developer)
2017-09-19 19:38

Test Plan

- Login as F&B International Group Admin
- Navigate to 'Product' window and select 'Electricidad', switch to [Price] tab and add 'Tarifa de ventas' price list to that service.
- Create a Sales Order with 'Alimentos y Supermercados' business partner and set invoice terms as 'After Delivery'.
- Add line for product 'Cerveza Ale 0,5L', 'Electricidad', keep the discount in the Basic Discount Tab do not remove it.
- Book the order and realize that discount line is created.
- Make a copy of above order set invoice terms as "Customer Schedule After Delivery" and book it.
- Make another copy of above order and set invoice terms as "After Order Delivered".
- Create Goods Shipment using first order, Line 10 (Product = Cerveza Ale 0,5L) create a shipment and process it.
- Create another Goods Shipment using second order Line 20 (Product = Electricidad) and process it.
- Create another Goods Shipment using third order line 30 (Product = Discount) and process it.
- Create a Sales Invoice header for same business partner as above. Check order selector in Create Line From popup.
  - Order 1 and Order 2 appears (Invoice term for Order 1 = After Delivery, invoice terms for Order 2 = Customer Schedule After Delivery)
- Navigate to Create Invoice from order process, realize that Order 1 and Order 2 appears in the list.
- Change the invoice term of order 1 and order 2 as "After Order Delivered".
- Check either in Sales Invoice header Create Lines From pop up order selector or Create Invoice from order process, order 1 and order 2 does not appear in the list.
- Change invoice term of order 1 = Customer Schedule After Delivery and for order 2 set as "After Delivery"
- Check either in Sales Invoice header Create Lines From pop up order selector or Create Invoice from order process, order 1 and order 2 appears in the list.

Note: Issue 11383 is reproducible as there is solution provided yet to load the order lines based on invoice term.
(0099172)
hgbot (developer)
2017-09-20 13:51

Repository: erp/devel/pi
Changeset: 56870c4b2bd0432d974abb00507ae4361ca42acb
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Sep 19 23:11:32 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/56870c4b2bd0432d974abb00507ae4361ca42acb [^]

Fixes issue 36870: After delivery invoice terms excludes services
while Customer Schedule After Delivery doesn't.

Create Line From popup order selector strictly considered that all lines should be delivered
in the order with invoice term "Customer Schedule After Delivery". Change the condition
same as "After Delivery" invoice term.

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
---
(0099173)
aferraz (developer)
2017-09-20 13:51

Code review + Testing OK
(0099420)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-15 13:30 JONHM New Issue
2017-09-15 13:30 JONHM Assigned To => Triage Finance
2017-09-15 13:30 JONHM Modules => Core
2017-09-15 13:30 JONHM Triggers an Emergency Pack => No
2017-09-15 13:39 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-09-15 15:23 Practics Issue Monitored: Practics
2017-09-18 16:42 AtulOpenbravo Status new => scheduled
2017-09-19 13:39 aferraz Relationship added related to 0011383
2017-09-19 19:38 AtulOpenbravo Note Added: 0099151
2017-09-20 13:51 hgbot Checkin
2017-09-20 13:51 hgbot Note Added: 0099172
2017-09-20 13:51 hgbot Status scheduled => resolved
2017-09-20 13:51 hgbot Resolution open => fixed
2017-09-20 13:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/56870c4b2bd0432d974abb00507ae4361ca42acb [^]
2017-09-20 13:51 aferraz Review Assigned To => aferraz
2017-09-20 13:51 aferraz Note Added: 0099173
2017-09-20 13:51 aferraz Status resolved => closed
2017-09-20 13:51 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099420


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker